<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
<head>
<title>Log Output</title>
<script src="logger.js"></script>
<style type="text/css">

    table { background-color:white;
            border-collapse:collapse;
            border:1px #000000 solid;
            text-align:left;
            color: #333333; }
    tr {padding:1px}
    .Unknown {background-color:#CCCCCC;}
    .Error {background-color:#FF3333;}
    .Warning {background-color:#FF9933;}
    .Comment {background-color:#99FF99;}
    .Event {background-color:#9999FF;}
    .Debug {background-color:#FFFF99;}
    .Message {background-color:#FFCC99;}

    #Message { font-weight: bold; color: black; }

</style>
</head>
<body>

<h2>Log file header information</h2>

<xsl:for-each select="RunTimeLog/LogHeader">
    Session started on <xsl:value-of select="Session/Date"/>
    at <xsl:value-of select="Session/Time"/>
</xsl:for-each>

<form>
 Unknown:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Unknown')" />
 Error:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Error')" />
 Warning:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Warning')" />
 Comment:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Comment')" />
 Event:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Event')" />
 Debug:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Debug')" />
 Message:<input type="checkBox" checked="checked" onClick="toggleLevel(this,'Message')" />
</form>

<h2>Details of log entries:</h2>
<table width="100%">
    <tr>
        <th>Id</th>
        <th>Time</th>
        <th>Type</th>
        <th>Category</th>
        <th>File</th>
        <th>Function</th>
        <th>LineNumber</th>
    </tr>
    <xsl:for-each select="RunTimeLog/LogEvent">
        <tr>
        <xsl:attribute name="class"><xsl:value-of select="Type"/>
        </xsl:attribute>
        <td><xsl:value-of select="@id"/></td>
        <td><xsl:value-of select="TimeIndex"/></td>
        <td><xsl:value-of select="Type"/></td>
        <td><xsl:value-of select="Category"/></td>
        <td><xsl:value-of select="File"/></td>
        <td><xsl:value-of select="Function"/></td>
        <td><xsl:value-of select="LineNumber"/></td>
        </tr>
        <tr>
        <xsl:attribute name="class"><xsl:value-of select="Type"/>
        </xsl:attribute>
            <td colspan="7"><div id="Message"><xsl:value-of select="Message"/></div></td>
        </tr>
    </xsl:for-each>
</table>

</body>
</html>
</xsl:template>


</xsl:stylesheet>