#!/usr/local/bin/perl
#
# Orbitus Mesh Preprocessor
# Author: Douglas Hawkinson
# Date: 05-06-06
#
# Usage: meshProc.pl
#
# OutFile: meshes.data
#

my $out_file = "meshes.data";
my $self = "meshProc.pl";
my $path = "..\\data\\meshes\\";
my $dir = '.';
my $uid = 0;

my @files;

opendir ( DH, $dir ) or die "Failed to open $dir: $!";
open OUT, "> $out_file";

@files = grep (!/^((\.)+)|(.svn)|($out_file)|($self)$/, readdir (DH));

foreach (@files) {
  $whole = $_;  

  print "Reading $_...\n";
  open X_FILE, "$_";
  @input = <X_FILE>;
 
  foreach ( @input ) {
    if( /Frame\s[a-zA-Z0-9]+\s{/ ) {
      @obj = split /Frame/;
      @obj = split /\s/, @obj[1];
      print "  Reading $uid @obj[1] $path...\n";
      print OUT "$uid @obj[1] $path $whole\n";
      ++$uid;
    }
    elsif( /Mesh\s[a-zA-Z0-9]+\s{/ ) {
      @obj = split /Mesh/;
      @obj = split /\s/, @obj[1];
      print "  Reading $uid @obj[1] $path...\n";
      print OUT "$uid @obj[1] $path $whole\n";
      ++$uid;
    }

  }

  close X_FILE;

}

print OUT "$uid dummy dummy dummy\n";

closedir DH;
close OUT;